DevHeads.net

glibc-arm-linux-gnu help

A few years ago, I packaged up glibc-arm-linux-gnu, so that Fedora could
have a packaged arm cross-toolchain that was useful (with glibc, it
cannot build anything in userspace). It worked for a while, but lately,
all builds have been failing with this error:

/usr/bin/arm-linux-gnu-ld: skipping incompatible
/usr/lib/gcc/arm-linux-gnueabi/8/libgcc_eh.a when searching for -lgcc_eh

I've looked at it and poked it quite a bit locally, but I can't seem to
get around that. I could really use some help to get this building
again, ideally, updated to 2.28.

All my work is committed to git, no help will be refused.

Thanks in advance,

~tom

Comments

Re: glibc-arm-linux-gnu help

By Tom "spot" Callaway at 11/07/2018 - 11:02

On 11/7/18 11:00 AM, Tom Callaway wrote:
This should have read "without glibc, it cannot build anything in
userspace".

~tom